// Copyright (C) 2019 The Qt Company Ltd.
// SPDX-License-Identifier: LicenseRef-Qt-Commercial

#ifndef RENAMING_H
#define RENAMING_H

#include "libsamplemacros.h"

class LIBSAMPLE_API ToBeRenamedValue
{
public:
    int value() const;
    void setValue(int v);

private:
    int m_value = 42;
};

class LIBSAMPLE_API RenamedUser
{
public:
    void useRenamedValue(const ToBeRenamedValue &v);
};

#endif // POINT_H
